.Header-Course.CourseDetail {
    background: #E4E7EB;
}

.CourseDetail .Course-Header-Details {
    background-color: #E4E7EB;
    margin-bottom: 0;
}

.CourseDetail .Course-Header-Details h2,
.CourseDetail .Course-Header-Details span {
    color:rgba(41, 41, 41, 1)
}


.CourseDetailDescription {
    max-width: 1024px;
    letter-spacing: -0.003em;
    line-height: 32px;
    font-size: 21px;
    font-family: 'Montserrat', sans-serif;
    color: rgba(41, 41, 41, 1);
}

.CourseDetailNextPage {
    margin: 60px 0 50px 0;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

.CourseDetailNextPage section {
    display: flex;
    align-items: center;
    transition: all 200ms ease-in;
    height: 40px;
}

.CourseDetailNextPage section:nth-child(2){
    flex-direction: column;
    align-items: flex-end;
}

.CourseDetailNextPage button {
    margin-bottom:8px;
}

.CourseDetailDescription a {
    color: rgba(41, 41, 41, 1);
}

.CourseDetailDescription img {
    max-width: 100%;
    margin: 0 auto;
    display: block;
}

.CourseDetailDescription iframe {
    max-width: 100%;
    min-width: 100%;
    width: 100%;
    height:512px
}


.CourseDetailDescription .ql-indent-1 {
    padding-left: 2em;
}
.CourseDetailDescription .ql-indent-2 {
    padding-left: 4em;
}
.CourseDetailDescription .ql-indent-3 {
    padding-left: 6em;
}
.CourseDetailDescription .ql-indent-4 {
    padding-left: 8em;
}
.CourseDetailDescription .ql-indent-5 {
    padding-left: 10em;
}
.CourseDetailDescription .ql-indent-6 {
    padding-left: 12em;
}
.CourseDetailDescription .ql-indent-7,
.CourseDetailDescription .ql-indent-8 {
    padding-left: 14em;
}



.CourseDetailDescription .ql-size-huge {
    font-size: 30px;
}


.CourseDetailDescription .ql-size-large {
    font-size: 24px;
}


.CourseDetailDescription .ql-size-small {
    font-size: 15px;
}

.CourseDetailDescription .ql-syntax {
    background: #2e3235;
    color:white;
    padding: 18px;
    font-family: 'Courier New', Courier, monospace;
    font-size: 18px;
    overflow: auto;
}

.CourseDetailDescription blockquote{
    border-left: 5px solid #2e3235;
    margin-bottom: 5px;
    margin-top: 5px;
    padding-left: 16px;
    margin-right: 25px;
    margin-left: 25px;
    color: rgba(0,0,0,0.7);
 }

 .CoursePage-SectionsMenu {
    z-index: 1;
    position: fixed;
    right: 15px;
    background: linear-gradient(to bottom, #0788DE, #116AB8);
    border: none;
    padding: 0;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    cursor: pointer;
    outline: none;
}

.CoursePage-SectionsMenu > div {
    position: absolute;
    left:-150px;
    top:14px;
    background: #425A70;
    border-radius: 3px;
    padding: 4px 8px;
    color: white;
    white-space: nowrap;
    pointer-events: none;
    opacity: 0;
    transform: scale(0.2);
    transform-origin: right;
    transition: all ease-in-out 100ms;
}

.CoursePage-SectionsMenu:hover {
    background: linear-gradient(to bottom, #0679c5, #0f5da1)
}

.CoursePage-SectionsMenu:hover > div {
    opacity: 1;
    transform: scale(1);
}


.CoursePage-SideMenuSections {
    display: flex;
    flex-direction: column;
    height:100%;
}

.CoursePage-SideMenuSections > section {
    height: 1001%;
    overflow: auto;
}

.CoursePage-SideMenuSections-Header {
    background: #E4E7EB;
    height: 111px;
    max-height: 111px;
    min-height: 111px;
}

.CoursePage-SideMenuSections-Header h2 {
    padding: 8px
}

.CoursePage-SideMenuSections-Header button {
    margin: 8px 8px 23px;
    padding: 8px
}


.CoursePage-SectionsMenu-sm {
    display: none;
    position: absolute;
    top: 17px;
    right: 21px;

}

.CoursePage-SectionsMenu-sm button {
    border: none;
    background: none;
    cursor: pointer;
    outline: none;
}

@media screen and (max-width: 1125px) {
    .CourseDetailDescription {
        max-width: 760px;
        padding: 0;
    }
}


@media screen and (max-width: 920px) {
    .CourseDetailDescription {
        max-width: 600px;
        padding: 0;
    }
}

@media screen and (max-width: 750px) {
    .CourseDetailDescription {
        max-width: 100%;
    }

    .CourseDetail {
        padding: 0 32px;
    }

    .CourseDetail .Progress {
        margin: 0 -32px;
        width: calc(100% + 64px);
    }
  


    .CoursePage-SectionsMenu {
        display: none;
    }

    .CoursePage-SectionsMenu-sm {
        display: block;
    }

    .CourseDetailNextPage > section > span {
        font-size: 0.7rem;
    }

    .CourseDetailNextPage button {
        font-size: 0.6rem;
    }
}

@media screen and (max-width: 650px) {
    .CourseDetail .Steps{
        padding:0 0
    }

    .CourseDetail .Steps::before{
        width: 100%;
    }
}
